| Amiga Impact

  · Accueil
  · Actualités
   · Proposer une info
  · Agenda
   · Proposer une date
  · Articles
  · Forum
  · Petites Annonces
  · Chat IRC
  · À propos du site



 | Connexion


 | Nous suivre

Flux RSSGoogle+TwitterFacebook



 | En ligne

Illustration du profil de JiDeWe Illustration du profil de sayasupacrew Illustration du profil de JaY Illustration du profil de Achille Micral


 | Recherche




Actualités


   [68k] ScummVM AGA
   | 9 juillet 2015 | Jeux,

jeux

Novacoder vient de mettre à jour ScummVM AGA vers la version 1.5.0. Pour rappel, ScummVM est un interpréteur permettant d’exécuter certains jeux graphiques de type ‘point and click’ tels que Simon The Sorcerer.

Cette version supporte maintenant les musiques au format MIDI.

 

Prérequis:

  • Amiga AGA (060 de préférence)
  • 32Mo de mémoire
  • Installation d’AHI
  • Rom 3.1
  • Quelques jeux ou démos supportées par ScummVM

Téléchargement




Les commentaires appartiennent à leurs auteurs.
Nous ne sommes pas responsables de leur contenu.


Auteur Conversation
Hialmar Posté le 10 juillet 2015

Photo du profil de Hialmar

Ca rame tant que ça sur un 030 ?

Je vais essayer sur mon A1200 avec Aca1233.



gibs_ Posté le 10 juillet 2015

Photo du profil de gibs_

Tiens nous au courant



k1200rs21 Posté le 10 juillet 2015

Photo du profil de k1200rs21

et pour un amiga 2000 060 picasso 4 rom 3.1 128 mo son 16 bits AHI sa est pas prévu pour !!!
je dit sa pour le jour ou il remarchera



Lion Posté le 10 juillet 2015

Photo du profil de Lion

il est prévu une version RTG donc ça devrait fonctionner sur ton 2000+carte graphique



Aladin Posté le 11 juillet 2015

Photo du profil de Aladin

Sur aminet:
L’ancienne version RTG est la 1.4.1 pour 040/060 datant de 2012
Et une version pour 030 ECS la 1.2.1 de 2013.
Ces versions ont aussi été porté par Novacoder (qui a malheureusement annoncé la fin de son travail sur amiga classic sur eab)
Bref cette version 1.5.0 amiga aga classic rajoute surtout le support du midi
La dernière version (pas encore supporté sur classic) est la 1.7.0
http://www.scummvm.org/compatibility/1.4.1/
http://www.scummvm.org/compatibility/1.5.0/
http://www.scummvm.org/compatibility/1.7.0/



Tarzin Posté le 11 juillet 2015

Photo du profil de Tarzin

@Aladin,
les version Aminet semblent bien être les 1.5


http://aminet.net/package/game/misc/ScummVM_AGA_030
http://aminet.net/package/game/misc/ScummVM_AGA_040
http://aminet.net/package/game/misc/ScummVM_AGA_060

Amiga AGA port of ScummVM 1.5.0 (68030)
Author: novacoder at yahoo.co.uk (NovaCoder)
Uploader: novacoder yahoo co uk (NovaCoder)
Type: game/misc
Version: 1.5.0.003
Architecture: m68k-amigaos >= 3.1.0
Distribution: Aminet
Kurz: Amiga AGA-Portierung von ScummVM 1.5.0
Date: 2015-07-08
Download: http://aminet.net/game/misc/ScummVM_AGA_030.lha – View contents
Readme: http://aminet.net/game/misc/ScummVM_AGA_030.readme
Downloads: 3359



Eggman Posté le 11 juillet 2015

Photo du profil de Eggman

Les versions précédentes étaient difficilement utilisable en AGA, même avec un 060.
Du coup, ça pique ma curiosité.
Cela dit, je ne pense pas qu’il soit jamais possible de faire tourner un Full Throttle correctement sur mon mildeu 060.



Aladin Posté le 11 juillet 2015

Photo du profil de Aladin

@Tarzin
oui les nouvelles versions AGA sont en 1.5.0

Je disais juste que pour un amiga RTG c’est toujours la 1.4.1
http://aminet.net/game/misc/ScummVM_RTG_040.lha
http://aminet.net/game/misc/ScummVM_RTG_060.lha

Amiga RTG port of ScummVM 1.4.1 (68060)
NovaCoder
1.4.1.001
m68k-amigaos >= 3.1.0
Date: 2012-11-07

Et pour l’ECS c’est la 1.2.1
http://aminet.net/game/misc/ScummVM_ECS_030.lha

Et que cette nouvelle version 1.5.0 supportait le midi donc à moins d’avoir un synthe midi…
La 1.4.1 fonctionne très bien (elle est d’origine sous amikit)
La difference de jeux supporté n’est pas énorme:
http://sourceforge.net/projects/scummvm/files/scummvm/1.5.0/ReleaseNotes/view

Sinon pour morphos:
http://fabportnawak.free.fr/scummvm/scummvm-1.7.0.lha
Pour OS4:
http://prdownloads.sourceforge.net/scummvm/scummvm-1.7.0-amigaos4.lha?download
http://sourceforge.net/projects/scummvm/files/scummvm/1.7.0/ReleaseNotes/view
Pour AROS:
http://archives.aros-exec.org/share/emulation/misc/scummvm-1.3.0.i386-aros.lha



Aladin Posté le 11 juillet 2015

Photo du profil de Aladin

@Eggman, pourrais-tu nous tenir au courant des performances de cette nouvelle version AGA?
🙂



Cosmos Posté le 11 juillet 2015

Photo du profil de Cosmos

@Aladin

Puisque NovaCoder arrête, pourrais-tu lui demander sur EAB de publier ses sources de Quake2 ? Merci mon gars !



Aladin Posté le 11 juillet 2015

Photo du profil de Aladin

@Cosmos
Il devrait mettre toutes ces sources sur aminet:
http://eab.abime.net/showthread.php?t=56815&page=23

31 May 2015, 18:04 #441
Sukerbole

Hi Nova,

Thanks for all the great ports you did. Before you say goodbye I hope you will dump all your stuff on Aminet.

1 June 2015, 01:02 #444
NovaCoder
Registered User
Join Date: Sep 2007
Location: Melbourne/Australia
Posts: 3,218 Thanks guys

Yes I will be uploading all my source code to AmiNet



huggyone76 Posté le 11 juillet 2015

Photo du profil de huggyone76

Je n’ai jamais réussi à faire fonctionner ScummVM sur mon A1200/BPPC/060. Lorsque je clique sur « add game », ça plante irrémédiablement… Je crois que je vais me réinstaller complètement le système (un de mes plaisirs innommables… 😀 ).



Eggman Posté le 11 juillet 2015

Photo du profil de Eggman

@Aladin
je vais essayer de ne pas oublier ! 🙂



Hialmar Posté le 12 juillet 2015

Photo du profil de Hialmar

Bon ben ça crashe sur mon A1200. J’ai essayé d’installer la toute dernière version de AHI mais rien n’y fait.

Je me retrouve sur un écran illisible avec plein de recouvrements et des caractères énormes et quand je quitte avec escape je me prends un guru.



huggyone76 Posté le 12 juillet 2015

Photo du profil de huggyone76

Ca plante à chaque fois sur ma Blizzard 060/BPPC et ça a fonctionné… une fois sur mon ACA1232. Depuis j’ai un « défaillance du logiciel » à chaque tentative… Dommage, c’était beau Day of the Tentacle au premier essai… 😉 J’ai beau réinstaller AHI, MUI, etc… rien n’y fait… tant pis.



Aladin Posté le 12 juillet 2015

Photo du profil de Aladin

Sous amikit, il fonctionne. Hialmar, les autres portages de novacoder fonctionne sur ton a1200? (odamex, quake2)



Aladin Posté le 12 juillet 2015

Photo du profil de Aladin

@Huggyone76, as-tu essayé les trois executables 030 040 060? sur le forum eab, certain jongle entre les exe. Sinon tu peux retenter les anciennes 1.4.1 pour comparer si cela bug pareil. J’essaierai aussi sur le 1260ppc/bvision. D’ailleurs en parlant de ppc, la derniere version os3.x/ppc est la 0.7.1 dommage qu’elle n’a pas eu de suite. faudra aussi voir si la version os4 fonctionne sur nos classic. Ainsi que la version Morphos si elle supporte morphos classic 1.4.5. C’est pas marqué dans les readme. Etant donné que c’est pas de la 3D et que scummvm ne demande que 32mo,



huggyone76 Posté le 12 juillet 2015

Photo du profil de huggyone76

J’arrive à le faire fonctionner finalement sur mon ACA… En réinstallant AHI à chaque fois ! Bizarre… Du coup scummvm n’est peut-être pas le fautif, mais c’est curieux… !



Hialmar Posté le 13 juillet 2015

Photo du profil de Hialmar

Odamex crashe aussi avec une fenêtre suspend/reboot.

Vous utilisez quelle version de AHI ?

Il y a d’autres dépendances ?



huggyone76 Posté le 13 juillet 2015

Photo du profil de huggyone76

J’utilise le AHI qui est dans l’archive de ScummVM (la 4.18). J’ai lu à plusieurs endroits que les versions supérieures n’apportaient rien (pour ScummVM) et avaient tendance à ralentir l’interprétation, je ne suis donc pas allé chercher plus loin. Ensuite pour AHI il faut MUI ou BGUI (si je ne dis pas de bêtise), j’utilise pour ma part MUI.
Le seul truc bizarre (vu avec SnapDOS) c’est que mon Amiga recherche objecttools.library sans la trouver… mais… je ne sais pas où l’obtenir (j’ai cherché sans succès pour le moment) et je n’en connais pas l’utilité… Je repasse sur un OS3.1 tout neuf et je retente…



huggyone76 Posté le 14 juillet 2015

Photo du profil de huggyone76

Bon… OS3.1 tout propre (réinstallé sur l’Amiga avec disquettes, comme à la bonne époque), installation de MUI, puis AHI, puis ScummVM… Pareil, ça plante. Bref, ça ne passe pas sur mes machines ! Bon, bah je retourne à mon PC/DOS pour avoir le vrai feeling, finalement c’est comme entre un émulateur et un vrai Amiga, rien ne vaut la saveur de l’original. 😀 (et un jour je réessaierai…).
Par contre ça fonctionne bien la version Atari sur mon Falcon… 😉



Aladin Posté le 17 juillet 2015

Photo du profil de Aladin

ScummVM AGA 040/060 a été updaté sur aminet:
Version: 1.5.0.004
Date: 2015-07-16



Aladin Posté le 17 juillet 2015

Photo du profil de Aladin

D’ailleur toutes les versions amiga classic ont été updatés en 1.5.0.004:
http://aminet.net/game/misc/ScummVM_AGA_060.lha
http://aminet.net/game/misc/ScummVM_AGA_040.lha
http://aminet.net/game/misc/ScummVM_AGA_030.lha
http://aminet.net/game/misc/ScummVM_RTG.lha



huggyone76 Posté le 17 juillet 2015

Photo du profil de huggyone76

Je vais tester, merci !
Pour info, des passionnés (comme ici !) ont adapté la version 1.7.0 sur Atari qui utilise SDL. Ça tourne bien sur Falcon avec 68060. Je n’ai pas essayé sans accélérateur.
On a même droit aux musiques sans ralentissement (du moins sur DOTT, l’un de mes jeux préférés).








Haut de page 

Copyright © 2004-2017 Amiga Impact. Tous droits réservés. Les marques citées sont déposées par leurs propriétaires respectifs.
Conditions d'Utilisation, Politique de Confidentialité et Information sur les cookies.


Fil RSS WordPressNicolas Gressard, Conseil et développement informatique

Do NOT follow this link or you will be banned from the site!